Views
Return detailed information for your views in your room type.
Retrieve the views for a room type. Returned as a list, which currently contains at most one view.
Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired
UUID for a property.
roomTypeUuidstring · uuidRequired
UUID for a room type.
Header parameters
x-sm-api-keystringRequired
API key used to authenticate the request.
Responses
200
Successful operation
application/json
namestringRequired
room view name
otaCodeintegerRequired
OTA room view code
400
Bad Request
application/json
401
Not Authorised
application/json
403
Access Denied
application/json
404
The specified resource was not found
application/json
429
Rate Limited
application/json
500
Internal Server Error
application/json
get/properties/{propertyUuid}/room-types/{roomTypeUuid}/views
GET /properties/{propertyUuid}/room-types/{roomTypeUuid}/views HTTP/1.1
x-sm-api-key: text
Accept: */*
[
{
"name": "Ocean view",
"otaCode": 11
}
]Last updated
Was this helpful?